### Method

# Gtk GestureStylusget_axis

#### Declaration [src]

    gboolean
    gtk_gesture_stylus_get_axis (
      GtkGestureStylus* gesture,
      GdkAxisUse axis,
      double* value
    )

#### Description [src]

Returns the current value for the requested `axis`.

This function must be called from the handler of one of the `GtkGestureStylus::down`, `GtkGestureStylus::motion`, `GtkGestureStylus::up` or `GtkGestureStylus::proximity` signals.

#### Parameters

`axis`

  Type: `GdkAxisUse`

  Requested device axis.

`value`

  Type: `double*`

  Return location for the axis value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if there is a current value for the axis.